Subject: g++ (v.3.1.1-4) -mno-cygwin with a hello world sample crashes oddly
From: "Dylan Cuthbert" <[email-masked]>
To: [email-masked]
Date: Sat, 20 Jul 2002 16:16:48 +0900
Newsgroups: gmane.os.cygwin

Hi all, Here is a very simple test program I am compiling with
g++ -mno-cygwin -c test.cpp -o test.exe

--- snip ---

#include <iostream>

int main (int argc, char *argv[])
{
 int frog = 10;
 int blob = 20;

 for ( int i = 0; i < 10; i++ )
 {
  std::cout << "hello world" << frog << " " << blob << std::endl;

  frog += blob;

 }

 return(0);
}

--- snip ---

When I run this from a command.com style window, a very strange thing
happens - the text cursor starts jumping about the screen in a repeated
pattern (I'm not joking, I thought it was a virus or something at first).
When I run it from rxvt, rxvt just freezes on me after I press ctrl-c.

In both cases I have to use the task manager to close down a task called
ntvdm.exe which is using up 50% of the cpu time.  If I end that task the
prompt returns to rxvt (or the command.com shell).

cygcheck -sv output is attached.

Regards

---------------------------------
Q-Games, Dylan Cuthbert.
http://www.q-games.com
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/